org.wso2.carbon.module.mgt.ui.fileupload

## Class ModuleFileUploadExecutor

- java.lang.Object
- - org.wso2.carbon.ui.transports.fileupload.AbstractFileUploadExecutor
  - - org.wso2.carbon.module.mgt.ui.fileupload.ModuleFileUploadExecutor

-     public class ModuleFileUploadExecutor
      extends org.wso2.carbon.ui.transports.fileupload.AbstractFileUploadExecutor

- - ### Field Summary

    - ### Fields inherited from class org.wso2.carbon.ui.transports.fileupload.AbstractFileUploadExecutor

      `configurationContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModuleFileUploadExecutor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `execute(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

    - ### Methods inherited from class org.wso2.carbon.ui.transports.fileupload.AbstractFileUploadExecutor

      `checkServiceFileExtensionValidity, executeCommon, generateUUID, getAllFileItems, getContextRoot, getErrorRedirectionPage, getFileItemsMap, getFileName, getFormFieldsMap, getFormFieldValue, getWorkingDir, parseRequest, parseRequest, uploadArtifacts, uploadFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModuleFileUploadExecutor

          public ModuleFileUploadExecutor()

  - ### Method Detail

    - #### execute

          public boolean execute(javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response)
                          throws org.wso2.carbon.CarbonException,
                                 IOException

      Specified by:
        `execute` in class `org.wso2.carbon.ui.transports.fileupload.AbstractFileUploadExecutor`
      Throws:
        `org.wso2.carbon.CarbonException`
        `IOException`

Copyright © 2018 WSO2. All rights reserved.